package android.app;

import android.content.ClipDescription;
import android.content.ClipData;

/**
 * author:dengjun
 * @hide
  */
oneway interface IEasyShareController {

   /**
    * 框架通知应用：拦截到PC端注入的Drag事件
    */
    void notifyDragStartedFromPC(int x, int y, in ClipData data);

    /**
    * 框架通知应用：Drag事件的返回结果
    */
    void notifyDragResult(int action, boolean result, String packageName);

    /**
    * 框架通知应用：当前为密码输入界面
    */
    void notifyPwdMode(boolean isPwdMode);

    /**
    * 框架通知应用：当前为secure界面
    */
    void notifyTaskSecure(boolean isSecure);

    /**
    * 框架通知应用：在屏幕状态为on，背光亮度为0时拦截到MotionEvent
    */
    void notifyInterceptMotionEventInForceBrightnessOffState(in MotionEvent event);

    /**
    * 框架通知应用：熄屏省电模式发生改变
    */
    void notifyForceBrightnessOffStateChanged(boolean isOff);

    /**
    * 框架通知应用：有文字复制到粘贴板
    */
    void notifyPrimaryClip(in ClipData data);
}